Bug 1651814 - [cloud-init][openstack][RHEL7.6]Cloud-init v. 18.2 creates duplicates of all network interfaces and nodes fail.
Summary: [cloud-init][openstack][RHEL7.6]Cloud-init v. 18.2 creates duplicates of all ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cloud-init
Version: 7.6
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Eduardo Otubo
QA Contact: Yuhui Jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 23:10 UTC by Siggy Sigwald
Modified: 2019-10-28 16:23 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-28 16:23:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Siggy Sigwald 2018-11-20 23:10:50 UTC
Description of problem:
After upgrading from 
cloud-init-0.7.9-24.el7_5.1.x86_64
to
cloud-init-18.2-1.el7_6.1.x86_64
We see this error:

cloud-init: 2018-11-20 17:25:36,558 - stages.py[WARNING]: Failed to rename devices: [unknown] Error performing rename('ens3f4', 'bond5.13') for be:98:fb:10:00:7d, bond5.13: Unexpected error while running command.

It looks like cloud-init tries to duplicate all the network interfaces:
boot.log:[   54.676560] cloud-init[33602]: Cloud-init v. 18.2 running 'init' at Tue, 20 Nov 2018 11:06:48 +0000. Up 54.66 seconds.
boot.log:[   54.709711] cloud-init[33602]: ci-info: +++++++++++++++++++++++++++++++++++++Net device info++++++++++++++++++++++++++++++++++++++
boot.log:[   54.718147] cloud-init[33602]: ci-info: +-----------------+-------+----------------+-----------------+-------+-------------------+
boot.log:[   54.726243] cloud-init[33602]: ci-info: |      Device     |   Up  |    Address     |       Mask      | Scope |     Hw-Address    |
boot.log:[   54.726406] cloud-init[33602]: ci-info: +-----------------+-------+----------------+-----------------+-------+-------------------+
boot.log:[   54.735289] cloud-init[33602]: ci-info: |      bond0:     |  True |       .        |        .        |   .   | be:98:fb:10:00:7b |
boot.log:[   54.735804] cloud-init[33602]: ci-info: |      bond0:     |  True |       .        |        .        |   d   | be:98:fb:10:00:7b |
boot.log:[   54.744898] cloud-init[33602]: ci-info: |      bond2:     |  True |       .        |        .        |   .   | 9c:dc:71:e4:f1:70 |
boot.log:[   54.745067] cloud-init[33602]: ci-info: |      bond2:     |  True |       .        |        .        |   d   | 9c:dc:71:e4:f1:70 |
boot.log:[   54.745214] cloud-init[33602]: ci-info: |      bond3:     |  True |       .        |        .        |   .   | be:98:fb:10:00:7f |
boot.log:[   54.745538] cloud-init[33602]: ci-info: |      bond3:     |  True |       .        |        .        |   d   | be:98:fb:10:00:7f |
boot.log:[   54.754909] cloud-init[33602]: ci-info: |    bond5.13:    |  True | 192.168.13.112 | 255.255.255.128 |   .   | be:98:fb:10:00:7d |
boot.log:[   54.765752] cloud-init[33602]: ci-info: |    bond5.13:    |  True |       .        |        .        |   d   | be:98:fb:10:00:7d |
boot.log:[   54.775175] cloud-init[33602]: ci-info: |      bond5:     |  True |       .        |        .        |   .   | be:98:fb:10:00:7d |
boot.log:[   54.786720] cloud-init[33602]: ci-info: |      bond5:     |  True |       .        |        .        |   d   | be:98:fb:10:00:7d |
boot.log:[   54.797099] cloud-init[33602]: ci-info: |   br-bridge1:   |  True |       .        |        .        |   .   | ba:a9:c4:70:44:4f |
boot.log:[   54.808281] cloud-init[33602]: ci-info: |   br-bridge1:   |  True |       .        |        .        |   d   | ba:a9:c4:70:44:4f |
boot.log:[   54.819249] cloud-init[33602]: ci-info: |  br-external1:  |  True |       .        |        .        |   .   | 2a:b9:04:48:15:46 |
boot.log:[   54.819405] cloud-init[33602]: ci-info: |  br-external1:  |  True |       .        |        .        |   d   | 2a:b9:04:48:15:46 |
boot.log:[   54.829856] cloud-init[33602]: ci-info: |   br-external:  |  True |       .        |        .        |   .   | 9c:dc:71:e4:f1:70 |
boot.log:[   54.840874] cloud-init[33602]: ci-info: |   br-external:  |  True |       .        |        .        |   d   | 9c:dc:71:e4:f1:70 |
boot.log:[   54.853750] cloud-init[33602]: ci-info: |     br-int:     | False |       .        |        .        |   .   | 5e:32:dc:97:e7:40 |
boot.log:[   54.863458] cloud-init[33602]: ci-info: |   br-storage:   |  True |       .        |        .        |   .   | b2:4e:7e:98:95:40 |
boot.log:[   54.874508] cloud-init[33602]: ci-info: |   br-storage:   |  True |       .        |        .        |   d   | b2:4e:7e:98:95:40 |
boot.log:[   54.886678] cloud-init[33602]: ci-info: |     br-tun:     | False |       .        |        .        |   .   | 96:c8:1c:35:43:41 |
boot.log:[   54.897444] cloud-init[33602]: ci-info: |     ens2f0:     |  True |       .        |        .        |   .   | 9c:dc:71:e4:f1:70 |
boot.log:[   54.908726] cloud-init[33602]: ci-info: |     ens2f1:     |  True |       .        |        .        |   .   | 9c:dc:71:e4:f1:70 |
boot.log:[   54.919848] cloud-init[33602]: ci-info: |     ens3f0:     |  True | 192.168.47.47  |  255.255.255.0  |   .   | be:98:fb:10:00:7a |
boot.log:[   54.931554] cloud-init[33602]: ci-info: |     ens3f0:     |  True |       .        |        .        |   d   | be:98:fb:10:00:7a |
boot.log:[   54.943152] cloud-init[33602]: ci-info: |     ens3f1:     |  True |       .        |        .        |   .   | be:98:fb:10:00:81 |
boot.log:[   54.954492] cloud-init[33602]: ci-info: |     ens3f1:     |  True |       .        |        .        |   d   | be:98:fb:10:00:81 |
boot.log:[   54.965483] cloud-init[33602]: ci-info: |     ens3f2:     |  True |       .        |        .        |   .   | be:98:fb:10:00:7b |
boot.log:[   54.977325] cloud-init[33602]: ci-info: |     ens3f3:     |  True |       .        |        .        |   .   | be:98:fb:10:00:7b |
boot.log:[   54.988819] cloud-init[33602]: ci-info: |    ens3f4.11:   |  True | 192.168.11.110 |  255.255.255.0  |   .   | be:98:fb:10:00:7d |
boot.log:[   55.001074] cloud-init[33602]: ci-info: |    ens3f4.11:   |  True |       .        |        .        |   d   | be:98:fb:10:00:7d |
boot.log:[   55.012860] cloud-init[33602]: ci-info: |     ens3f4:     |  True |       .        |        .        |   .   | be:98:fb:10:00:7d |
boot.log:[   55.025356] cloud-init[33602]: ci-info: |    ens3f5.12:   |  True | 192.168.12.110 |  255.255.255.0  |   .   | be:98:fb:10:00:7d |
boot.log:[   55.037214] cloud-init[33602]: ci-info: |    ens3f5.12:   |  True |       .        |        .        |   d   | be:98:fb:10:00:7d |
boot.log:[   55.049906] cloud-init[33602]: ci-info: |     ens3f5:     |  True |       .        |        .        |   .   | be:98:fb:10:00:7d |
boot.log:[   55.062175] cloud-init[33602]: ci-info: |     ens3f6:     |  True |       .        |        .        |   .   | be:98:fb:10:00:7f |
boot.log:[   55.074941] cloud-init[33602]: ci-info: |     ens3f7:     |  True |       .        |        .        |   .   | be:98:fb:10:00:7f |
boot.log:[   55.087941] cloud-init[33602]: ci-info: |       lo:       |  True |   127.0.0.1    |    255.0.0.0    |   .   |         .         |
boot.log:[   55.100564] cloud-init[33602]: ci-info: |       lo:       |  True |       .        |        .        |   d   |         .         |
boot.log:[   55.113358] cloud-init[33602]: ci-info: |   ovs-system:   | False |       .        |        .        |   .   | d2:c6:96:d8:5d:dd |
boot.log:[   55.126368] cloud-init[33602]: ci-info: |     vlan103:    |  True | 192.168.43.35  |  255.255.255.0  |   .   | 7a:a8:e3:10:1f:99 |
boot.log:[   55.139618] cloud-init[33602]: ci-info: |     vlan103:    |  True |       .        |        .        |   d   | 7a:a8:e3:10:1f:99 |
boot.log:[   55.153313] cloud-init[33602]: ci-info: |     vlan104:    |  True | 192.168.44.35  |  255.255.255.0  |   .   | ba:57:17:7d:0e:89 |
boot.log:[   55.167047] cloud-init[33602]: ci-info: |     vlan104:    |  True |       .        |        .        |   d   | ba:57:17:7d:0e:89 |
boot.log:[   55.181040] cloud-init[33602]: ci-info: |     vlan105:    |  True | 192.168.45.35  |  255.255.255.0  |   .   | 0a:63:e4:79:c2:1a |
boot.log:[   55.201327] cloud-init[33602]: ci-info: |     vlan105:    |  True |       .        |        .        |   d   | 0a:63:e4:79:c2:1a |
boot.log:[   55.218037] cloud-init[33602]: ci-info: |      vlan3:     |  True |  10.145.4.40   | 255.255.255.192 |   .   | 62:b9:ff:67:16:fa |
boot.log:[   55.231835] cloud-init[33602]: ci-info: |      vlan3:     |  True |       .        |        .        |   d   | 62:b9:ff:67:16:fa |
boot.log:[   55.246390] cloud-init[33602]: ci-info: | vxlan_sys_4789: |  True |       .        |        .        |   .   | 7a:ad:7e:7e:9c:aa |
boot.log:[   55.260019] cloud-init[33602]: ci-info: +-----------------+-------+----------------+-----------------+-------+-------------------+


Version-Release number of selected component (if applicable):
RHEL 7.6 with cloud-init-18.2-1.el7_6.1.x86_64
rolling back to previos version solves the issue.

How reproducible:
every time


Note You need to log in before you can comment on or make changes to this bug.